/**
 * Black theme for reveal.js. This is the opposite of the 'white' theme.
 *
 * By Hakim El Hattab, http://hakim.se
 */
@import url(../../lib/font/IndieFlower.css);

/*********************************************
 * GLOBAL STYLES
 *********************************************/

.reveal {
	font-family: "Lato", Helvetica, sans-serif;
	font-size: 42px;
	font-weight: normal;
	color: #fff;
	background-color: #20201e;
}

::selection {
	color: #fff;
	background: #bee4fd;
	text-shadow: none;
}

::-moz-selection {
	color: #fff;
	background: #bee4fd;
	text-shadow: none;
}

.reveal .slides section,
.reveal .slides section > section {
	line-height: 1.3;
	font-weight: inherit;
}

/*********************************************
 * HEADERS
 *********************************************/
.reveal h1,
.reveal h2,
.reveal h3,
.reveal h4,
.reveal h5,
.reveal h6 {
	color: #fff;
	font-weight: 600;
	line-height: 1.2;
	letter-spacing: normal;
	text-transform: uppercase;
	text-shadow: none;
	word-wrap: break-word;
}

.reveal h6 {
	text-shadow: none;
	font-size: 35px;
}

/*********************************************
 * OTHER
 *********************************************/
.reveal p {
	line-height: 1.3;
}

/* Ensure certain elements are never larger than the slide itself */
.reveal img,
.reveal video,
.reveal iframe {
	max-width: 95%;
	max-height: 95%;
}

.reveal strong,
.reveal b {
	font-weight: bold;
}

.reveal em {
	font-style: italic;
}

.reveal ol,
.reveal dl,
.reveal ul {
	display: inline-block;
	text-align: left;
	margin: 0 0 0 1em;
}

.reveal ol {
	list-style-type: decimal;
}

.reveal ul {
	list-style-type: disc;
}

.reveal ul ul {
	list-style-type: square;
}

.reveal ul ul ul {
	list-style-type: circle;
}

.reveal ul ul,
.reveal ul ol,
.reveal ol ol,
.reveal ol ul {
	display: block;
	margin-left: 40px;
}

.reveal dt {
	font-weight: bold;
}

.reveal dd {
	margin-left: 40px;
}

.reveal blockquote {
	display: block;
	position: relative;
	width: 70%;
	margin: 20px auto;
	padding: 5px;
	font-style: italic;
	background: rgba(255, 255, 255, 0.05);
}

.reveal blockquote p:first-child,
.reveal blockquote p:last-child {
	display: inline-block;
}

.reveal q {
	font-style: italic;
}

.reveal pre {
	display: block;
	position: relative;
	width: 90%;
	margin: 20px auto;
	text-align: left;
	font-size: 0.55em;
	font-family: monospace;
	line-height: 1.2em;
	word-wrap: break-word;
}

.reveal code {
	font-family: monospace;
	text-transform: none;
}

.reveal pre code {
	display: block;
	padding: 5px;
	overflow: auto;
	max-height: 400px;
	word-wrap: normal;
}

.reveal table {
	margin: auto;
	border-collapse: collapse;
	border-spacing: 0;
}

.reveal table th {
	font-weight: bold;
}

.reveal table th,
.reveal table td {
	text-align: left;
	padding: 0.2em 0.5em 0.2em 0.5em;
	border-bottom: 1px solid;
}

.reveal table th[align="center"],
.reveal table td[align="center"] {
	text-align: center;
}

.reveal table th[align="right"],
.reveal table td[align="right"] {
	text-align: right;
}

.reveal table tbody tr:last-child th,
.reveal table tbody tr:last-child td {
	border-bottom: none;
}

.reveal sup {
	vertical-align: super;
	font-size: smaller;
}

.reveal sub {
	vertical-align: sub;
	font-size: smaller;
}

.reveal small {
	display: inline-block;
	font-size: 0.6em;
	line-height: 1.2em;
	vertical-align: top;
}

.reveal small * {
	vertical-align: top;
}

/*********************************************
 * LINKS
 *********************************************/
.reveal a {
	color: #42affa;
	text-decoration: none;
	-webkit-transition: color 0.15s ease;
	-moz-transition: color 0.15s ease;
	transition: color 0.15s ease;
}

.reveal a:hover {
	color: #8dcffc;
	text-shadow: none;
	border: none;
}

.reveal .roll span:after {
	color: #fff;
	background: #068de9;
}

/*********************************************
 * IMAGES
 *********************************************/

.reveal section img.plain {
	border: 0;
	box-shadow: none;
}

.reveal a img {
	-webkit-transition: all 0.15s linear;
	-moz-transition: all 0.15s linear;
	transition: all 0.15s linear;
}

.reveal a:hover img {
	background: rgba(255, 255, 255, 0.2);
	border-color: #42affa;
}

/*********************************************
 * NAVIGATION CONTROLS
 *********************************************/
.reveal .controls {
	color: #42affa;
}

/*********************************************
 * PROGRESS BAR
 *********************************************/
.reveal .progress {
	background: rgba(0, 0, 0, 0.2);
	color: #42affa;
}

.reveal .progress span {
	-webkit-transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
	-moz-transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
	transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
}

/*********************************************
 * PRINT BACKGROUND
 *********************************************/
@media print {
	.backgrounds {
		background-color: #191919;
	}
}

.black_left {
	position: absolute;
	top: 50%;
	z-index: -1;
	transform: translate(-50%, -50%);
}
.black_right {
	position: absolute;
	top: 50%;
	z-index: -1;
	transform: translate(49%, -50%);
}

.light p {
	font-family: "IndieFlower";
	color: white;
}
.light h6 {
	color: white;
}
